<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for StopPathLinkRefStructure StructType
 * Meta informations extracted from the WSDL
 * - documentation: Type for reference to STOP PLACE Space.
 * @subpackage Structs
 */
class StopPathLinkRefStructure extends StopPlaceComponentRefStructure
{
    /**
     * The _
     * @var \StructType\StopPlaceComponentRefStructure
     */
    public $_;
    /**
     * Constructor method for StopPathLinkRefStructure
     * @uses StopPathLinkRefStructure::set_()
     * @param \StructType\StopPlaceComponentRefStructure $_
     */
    public function __construct(\StructType\StopPlaceComponentRefStructure $_ = null)
    {
        $this
            ->set_($_);
    }
    /**
     * Get _ value
     * @return \StructType\StopPlaceComponentRefStructure|null
     */
    public function get_()
    {
        return $this->_;
    }
    /**
     * Set _ value
     * @param \StructType\StopPlaceComponentRefStructure $_
     * @return \StructType\StopPathLinkRefStructure
     */
    public function set_(\StructType\StopPlaceComponentRefStructure $_ = null)
    {
        $this->_ = $_;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\StopPathLinkRefStructure
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
